#speedtest {
	margin: 0 auto;
	max-width: 640px;
}

#speedtest #actions,
#speedtest #ip,
#speedtest #timestamp {
	width: 100%;
}

#speedtest #download,
#speedtest #jitter,
#speedtest #latency,
#speedtest #upload {

}

@media only screen and (max-width: 640px) {
	#speedtest #download,
	#speedtest #jitter,
	#speedtest #latency,
	#speedtest #upload {

	}
}

#speedtest #actions {
	padding: 1em 0;
}

#speedtest #actions #timestamp {
	display: none;
	padding-top: 1em;
}

#speedtest #gauge {
	position: relative;
	width: 80%;
	margin: 0 auto -5%;
}

#speedtest #gauge .gauge {
	max-height: 300px;
}

@media only screen and (max-width: 640px) {
	#speedtest #gauge .gauge {
		max-height: 220px;
	}
}

#speedtest #gauge .result {
	padding: 0;
	font-size: 1.2em;
	position: absolute;
    bottom: 35%;
    width: 100%;
}

@media only screen and (max-width: 640px) {
	#speedtest #gauge .result {
		font-size: 1em;
	}
}

#speedtest #progress {
	position: fixed;
	top: 0;
	left: 0;
	width: 100vw;
}

#speedtest #progress.progress {
	display: flex;
	height: 3px;
	overflow: hidden;
	font-size: 0.75rem;
	background: none;
	border-radius: 0.25rem;
	overflow: visible;
}

#speedtest #progress.progress .progress-bar {
	display: flex;
	flex-direction: column;
	justify-content: center;
	color: #fff;
	text-align: center;
	white-space: nowrap;
	background-color: #007bff;
	transition: width 0.6s ease;
	background: var(--blue);
	box-shadow: 0 0 5px var(--blue);
}

#speedtest .result {
	padding: 1em 0;
}

@media only screen and (max-width: 640px) {
	#speedtest .result {
		padding: 0.5em 0;
	}
}

#speedtest .result label {
	display: block;
	text-transform: uppercase;
	font-size: 1.2em;
	margin-bottom: 0.2em;
	transition: color 0.6s ease;
	-webkit-transition: color 0.6s ease;
	-moz-transition: color 0.6s ease;
	-o-transition: color 0.6s ease;
	-ms-transition: color 0.6s ease;
	transition: color 0.6s ease;
}

@media only screen and (max-width: 640px) {
	#speedtest .result label {
		font-size: 1em;
	}
}

#speedtest .result.active label {
	color: var(--blue);
}

#speedtest .result .ip,
#speedtest .result .org {
	display: block;
}

#speedtest .result .value {
	font-size: 2em;
	font-weight: lighter;
	line-height: 1em;
	color: var(--primaryColor);
}

@media only screen and (max-width: 640px) {
	#speedtest .result .value {
		font-size: 2.4em;
	}
}

#speedtest .result .value:empty:before {
	content: "0.00";
}

#speedtest .result .value.ip:empty:before {
	content: "___.___.___.___";
}

#speedtest .result .unit {
	font-size: 0.8em;
	font-weight: lighter;
}

@media only screen and (max-width: 640px) {
	#speedtest .result .unit {
		display: block;
		font-size: 0.9em;
	}
}

#speedtest .result .org {
	font-size: 1.2em;
    font-weight: lighter;
}

#speedtest.ready {
	align-items: center;
	margin: auto;
}

#speedtest.ready #download,
#speedtest.ready #gauge,
#speedtest.ready #ip,
#speedtest.ready #jitter,
#speedtest.ready #latency,
#speedtest.ready #timestamp,
#speedtest.ready #upload {
	display: none;
}

#speedtest.ready #actions {
	padding: 4em 0;
}

#speedtest.ready #actions button#start {
	width: 160px;
	font-size: 1.6em;
}

#speedtest.done #actions #timestamp {
	display: block;
}

#speedtest.done #gauge {
	display: none;
}

#speedtest.done #download,
#speedtest.done #jitter,
#speedtest.done #latency,
#speedtest.done #upload {

}